Summary: Initialization and configuration files for Oracle9i Release 2
Name: oracle-init
Version: 9.2.0
Release: 1.rhel21.0
URL: ftp://people.redhat.com/crunge/red_hat_enterprise_linux/oracle-init
Source0: %{name}-%{version}.tar.bz2
License: Distributable
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-root
PreReq: /sbin/chkconfig
Requires: XFree86-libs
Requires: bash
Requires: binutils
Requires: gcc
Requires: make

%description
This package contains the tools required to configure a Red Hat
Enterprise Linux 2.1 system for the installation of Oracle9i 
Release 2 (9.2.0). It includes the following:

-  a script (/usr/sbin/oracle-init.sh) to create the 
   necessary users and groups for Oracle, modify the runtime kernel 
   parameters for Oracle, and otherwise prepare the system accordingly 
-  initscripts for the Oracle database and Oracle listener

After installing this RPM, see README.oracle-init for additional 
instructions.

%prep
%setup -q
tar xfj %{SOURCE0}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/{init.d,sysconfig}
install -m 644 oracle-sysconfig %{buildroot}/etc/sysconfig/oracle
install -m 755 oracle %{buildroot}/etc/init.d
install -m 755 listener %{buildroot}/etc/init.d
install -m 755 oracle-init.sh %{buildroot}/usr/sbin

%post
/sbin/chkconfig --add oracle
/sbin/chkconfig --add listener

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del oracle
    /sbin/chkconfig --del listener
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) /etc/init.d/oracle
%config(noreplace) /etc/init.d/listener
%config /etc/sysconfig/oracle
%doc README.oracle-init
%doc tns_admin
/usr/sbin/oracle-init.sh

%changelog
* Fri Aug 22 2003 Chris Runge <crunge@redhat.com> 9.2.0-1.rhel21.0
- ready for primetime (hopefully)
- add tns_admin examples
- change default ORACLE_SID to orcl

* Fri Aug 22 2003 Chris Runge <crunge@redhat.com> 9.2.0-0.rhel21.2
- move oracle-init.sh to /usr/sbin
- minor changes to oracle-init.sh to prompt the user and to check that the
  user is root

* Mon Aug 18 2003 Chris Runge <crunge@redhat.com> 9.2.0-0.rhel21.1
- Initial build.

